apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: argocd-application-controller-network-policy
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/name: argocd-application-controller
  ingress:
    - from:
        - namespaceSelector: { }
      ports:
        - port: 8082
  policyTypes:
  - Ingress